
U++ - Bug #1682

void LocalHost::Launch(const char *_cmdline, bool console) doesn't work when file has got space in 

their name (POSIX)

04/17/2017 02:47 PM - Zbigniew Rebacz

Status: Approved Start date: 04/17/2017

Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: IDE Estimated time: 0.00 hour

Target version: Release 2017.2 Spent time: 0.00 hour

Description

Reproduction:

1. Lauch ide with assembly that in output path has got space.

2. Execute - the application using ide "Execute" command.

History

#1 - 04/17/2017 02:47 PM - Zbigniew Rebacz

- Description updated

#2 - 04/17/2017 04:36 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

- Target version set to Release 2017.2

Patch on the trunk please review: https://github.com/ultimatepp/mirror/commit/1d12cf2d269141bd987732ace3cae4db2f22d9d3. Patch is tricky, but stable

- i tested with multiple scenarios (assembly output with without space, passing arguments to application).

#3 - 04/22/2017 11:28 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#4 - 04/22/2017 08:36 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

Works perfect! Thanks!

06/14/2025 1/1

https://github.com/ultimatepp/mirror/commit/1d12cf2d269141bd987732ace3cae4db2f22d9d3

